import { DocumentRecordData, IApiResponse, IBankAccount, IBusiness, Identity } from '..';
export interface IBusinessService {
    fetchBusiness(businessId: string, authToken: string): Promise<IApiResponse<IBusiness>>;
    patchBusiness(authToken: string, businessId: string, payload: Partial<IBusiness>): Promise<IApiResponse<IBusiness>>;
}
export declare class BusinessService implements IBusinessService {
    fetchBusiness(businessId: string, authToken: string): Promise<IApiResponse<IBusiness>>;
    patchBusiness(authToken: string, businessId: string, payload: Partial<IBusiness>): Promise<IApiResponse<IBusiness>>;
}
export interface IdentityService {
    fetchIdentity(identityId: string, authToken: string): Promise<IApiResponse<Identity>>;
    patchIdentity(authToken: string, identityId: string, payload: Partial<Identity>): Promise<IApiResponse<Identity>>;
    postIdentity(authToken: string, payload: Partial<Identity>): Promise<IApiResponse<Identity>>;
}
export declare class IdentityService implements IdentityService {
}
export interface IBusinessBankAccountService {
    postBankAccount(authToken: string, payload: Partial<IBankAccount>): Promise<IApiResponse<IBankAccount>>;
}
export declare class BusinessBankAccountService implements IBusinessBankAccountService {
    postBankAccount(authToken: string, payload: Partial<IBankAccount>): Promise<IApiResponse<IBankAccount>>;
}
export interface IDocumentRecordService {
    postDocumentRecord(authToken: string, payload: DocumentRecordData): Promise<IApiResponse<any>>;
}
export declare class DocumentRecordService implements IDocumentRecordService {
    postDocumentRecord(authToken: string, payload: DocumentRecordData): Promise<IApiResponse<any>>;
}
